# 蒙特卡洛方法求解圆周率
import time
from time import perf_counter 
import random
import numpy as np
import matplotlib.pyplot as plt

random.seed(0)
DARTS = 1000
hits = 0.0
start = perf_counter()
X,Y=[],[]
for i in range(1, DARTS+1):
    x = random.random()
    y = random.random()
    X.append(x)
    Y.append(y)
    dist = pow(x ** 2 + y ** 2, 0.5)
    if dist <= 1.0:  
        hits = hits + 1

# 比例计算圆周率
pi = 4 * (hits/DARTS)
# 散点图
plt.scatter(X,Y,c = 'r',marker = '.') 
X1=np.arange(0,1,0.001)
Y1=np.sqrt(1-X1**2)
# 扇形曲线
plt.plot(X1,Y1,c="b")  
# 坐标区间和标题设置
plt.xlim(0, 1)
plt.ylim(0, 1)
plt.rcParams['font.sans-serif']=['SimHei']
plt.title("蒙特卡罗法计算圆周率")
plt.show()
print("圆周率值是: {:.3f}".format(pi))
print("运行时间是: {:.5f}s".format(perf_counter()-start))
