import numpy as np
import matplotlib.pyplot as plt
plt.title('身高体重关系图')
plt.rcParams['font.sans-serif']=['SimHei'] #避免中文出现乱码
plt.rcParams['axes.unicode_minus']=False

#生成身高体重实验数据
data = np.random.multivariate_normal([172, 65], [[55, 35], [35, 45]], 200) 
heights = data[:, 0]
weights = data[:, 1]
#绘制散点图
p1 = plt.scatter(heights,weights,c='b', s=50, marker='*')
plt.xlabel('身高 (cm)')
plt.ylabel('体重 (kg)')
plt.grid()#显示网格
plt.show()
