
import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

# 1.生成数据
n = 200
x = np.random.normal(0, 1, n)
y = np.random.normal(0, 1, n)
z = np.random.normal(0, 1, n)
d = np.sqrt(x ** 2 + y ** 2 + z ** 2) # 距离

# 2.绘制图片

fig = plt.figure(figsize=(8, 7))
ax3d = Axes3D(fig, elev=45, azim=45)
plt.title('3D 散点图')
plt.rcParams['font.sans-serif']=['SimHei'] #避免中文出现乱码
plt.rcParams['axes.unicode_minus']=False
ax3d.set_xlabel('x')
ax3d.set_ylabel('y')
ax3d.set_zlabel('z')
#plt.tick_params(labelsize=10)


ax3d.scatter(x, y, z, s=20, c=d, cmap="jet", marker="o")  # c=d,

plt.show()
