from sklearn import metrics
from sklearn.preprocessing import LabelBinarizer

lb = LabelBinarizer()
y_true = ['猫', '猫', '猫', '猫', '猫', '狗', '狗', '狗', '狗', '狗']
y_pred = ['猫', '猫', '猫', '猫', '狗', '猫', '狗', '狗', '猫', '狗']
# （1）计算混淆矩阵
print('Confusion Matrix：')
print(metrics.confusion_matrix(y_true, y_pred, labels=['猫', '狗']))
# （2）利用LabelBinarizer对象将标签二值化，再分别计算精确率、召回率、F1分数和准确率
y_true_binarized = lb.fit_transform(y_true)
y_pred_binarized = lb.fit_transform(y_pred)
print('精确率： %s' % metrics.precision_score(y_true_binarized, y_pred_binarized))
print('召回率： %s' % metrics.recall_score(y_true_binarized, y_pred_binarized))
print('F1分数：%s' % metrics.f1_score(y_true_binarized, y_pred_binarized))
print('准确率： %s' % metrics.accuracy_score(y_true_binarized, y_pred_binarized))
# （3）利用classification_report()函数实现对精确率、召回率、F1分数和准确率的计算
print('Classification Report：')
print(metrics.classification_report(y_true, y_pred))
