#（1）导入库
from sklearn.datasets.samples_generator import make_blobs
from matplotlib import pyplot as plt
from sklearn.neighbors import KNeighborsClassifier
import numpy as np
plt.rcParams['axes.unicode_minus']=False

#（2）利用scikit-learn的make_blobs函数生成100个样本点数据，并利用散点图显示
X,Y=make_blobs(n_samples=100,random_state=0,cluster_std=0.6)
plt.figure(figsize=(16,10),dpi=144)
plt.scatter(X[:,0],X[:,1],c=Y,s=100)

#（3）调用scikit-learn中的KneighborsClassifier分类算法对样本数据点构建分类模型。
k=10
clf=KNeighborsClassifier(n_neighbors=k)
clf.fit(X,Y)

#（4）对未知类别的样本数据点[0,2]调用predict函数预测其类别。
X_sample=np.array([[0,2]])
Y_sample=clf.predict(X_sample)
neighbors=clf.kneighbors(X_sample, return_distance=False)
print(Y_sample)

#（5）利用直线表示出与数据点[0,2]距离最近的10个点，根据图形很容易判断出该数据点所属的类别。
plt.figure(figsize=(16,10),dpi=144)
plt.scatter(X[:,0],X[:,1],c=Y,s=100)
plt.scatter(X_sample[:,0],X_sample[:,1],marker="x",c=Y_sample,s=100)
for i in neighbors[0]:
    plt.plot([X[i][0],X_sample[0][0]],[X[i][1],X_sample[0][1]],'k--',linewidth=0.6)
plt.show()
