from sklearn import datasets
# 加载数据集
diabetes = datasets.load_diabetes()
# 显示其描述
print("【描述】\n", diabetes.DESCR)
# 显示其特征名称
print("【特征名称】\n", diabetes.feature_names)
# 显示其特征数据
print("【数据】\n", diabetes.data)
# 显示其标签数据
print("【目标值】\n", diabetes.target)

# （1）导入库
import matplotlib.pyplot as plt
import numpy as np
from sklearn import datasets, linear_model
from sklearn.metrics import mean_squared_error, r2_score

# （2）加载糖尿病数据集
diabetes_X, diabetes_y = datasets.load_diabetes(return_X_y=True)
# 只使用糖尿病数据集的第三个特征
diabetes_X = diabetes_X[:, np.newaxis, 2]
# 分割数据为训练集和测试集
diabetes_X_train = diabetes_X[:-20]
diabetes_X_test = diabetes_X[-20:]
# 分割目标数据为训练集和测试集
diabetes_y_train = diabetes_y[:-20]
diabetes_y_test = diabetes_y[-20:]

#（3）创建线性回归模型对象
regr = linear_model.LinearRegression()
#使用训练集训练模型，拟合直线
regr.fit(diabetes_X_train, diabetes_y_train)

#（4）使用测试集实现预测
diabetes_y_pred = regr.predict(diabetes_X_test)
#输出回归系数
print('Coefficients:', regr.coef_)

#（5）模型评估
# 计算并输出均方差
print('Mean squared error: %.2f' % mean_squared_error(diabetes_y_test, diabetes_y_pred))
# 计算并输出决定系数R2
print('Coefficient of determination: %.2f' % r2_score(diabetes_y_test, diabetes_y_pred))

#（6）绘图输出
plt.scatter(diabetes_X_test, diabetes_y_test, color='black')
plt.plot(diabetes_X_test, diabetes_y_pred, color='blue', linewidth=3)
plt.show()
