#（1）导入库
import numpy as np
from matplotlib import pyplot as plt
from sklearn.cluster import KMeans

#（2）生成样本数据
samples = np.array([[1,1],[2,2],[3,1],[6,4],[7,5],[8,4]])

#（3）把样本数据显示在二维坐标上
plt.figure(figsize=(8,5),dpi=144)
plt.scatter(samples[:,0],samples[:,1],s=100)

#（4）使用KMeans模型拟合
est=KMeans(n_clusters=2)
est.fit(samples)

#（5）将聚类结果利用散点图显示出来
labels=est.labels_
centers=est.cluster_centers_
fig=plt.figure(figsize=(8,5),dpi=144)
plt.scatter(samples[:,0],samples[:,1],s=100,c=labels.astype(np.float))
plt.scatter(centers[:,0],centers[:,1],s=100,marker="*")
plt.show()
