#（1）导入库
from sklearn.datasets.samples_generator import make_blobs
from matplotlib import pyplot as plt
from sklearn.cluster import KMeans

#（2）利用scikit-learn中的make_blobs函数生成样本数据集
X,Y=make_blobs(n_samples=1000,centers=2)

#（3）利用散点图的形式将样本数据展示出来
plt.figure(figsize=(8,5),dpi=144)
plt.scatter(X[:,0],X[:,1],s=50,edgecolor='k')
plt.show()

#（4）使用KMeans模型拟合，聚类数设为4。
kmean=KMeans(4)
kmean.fit(X)

#（5）将聚类结果利用散点图显示出来
labels=kmean.labels_
centers=kmean.cluster_centers_
fig=plt.figure(figsize=(8,5),dpi=144)
plt.scatter(X[:,0],X[:,1],c=labels.astype(int),s=50,edgecolor='k')#显示聚类结果
plt.scatter(centers[:,0],centers[:,1],c='r',s=100,marker="*")#显示质心
plt.show()
