#（1）导入库
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D
from sklearn.cluster import KMeans
from sklearn import datasets
import numpy as np
plt.rcParams['font.sans-serif']=['SimHei'] #避免中文出现乱码

#（2）导入Iris数据
iris=datasets.load_iris()#导入iris数据
X=iris.data

#（3）使用KMeans模型拟合，聚类数设为3
est=KMeans(n_clusters=3)
est.fit(X)

#（4）选取其中的三个维度，并显示其聚类结果
labels=est.labels_
fig=plt.figure(figsize=(8,5),dpi=144)
ax=Axes3D(fig,elev=48,azim=134)
ax.scatter(X[:,3],X[:,0],X[:,2],c=labels.astype(np.float),edgecolor='k')
ax.set_xlabel('花萼宽度')
ax.set_ylabel('萼片长度')
ax.set_zlabel('花瓣长度')
ax.set_title('Iris数据集的聚类展示')
ax.dist=12
plt.show()
