# _*_coding:utf-8_*_
# （1）导入库
from sklearn import datasets
from sklearn.decomposition import PCA
from sklearn.neighbors import KNeighborsClassifier
from sklearn.metrics import classification_report
from sklearn.model_selection import train_test_split
import numpy as np
import time

# （2）导入数据集
digits = datasets.load_digits()
X = digits.data
y = digits.target

# （3）分割数据并扩展训练数据
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.25, random_state=33)
for i in np.arange(7):
    X_train = np.vstack((X_train, X_train))
    y_train = np.hstack((y_train, y_train))
print(X_train.shape)

# （4）计算降维前使用KNN算法训练耗时及性能
knc = KNeighborsClassifier()
ticks = time.time()
knc.fit(X_train, y_train)
print('降维前耗时:', time.time() - ticks, 's')
y_predict = knc.predict(X_test)
print(classification_report(y_test, y_predict))

# （5）降维
pca = PCA(n_components=10)
X_p = pca.fit_transform(X)

# （6）分割降维后的数据并扩展训练数据
X_train, X_test, y_train, y_test = train_test_split(X_p, y, test_size=0.25, random_state=33)
for i in np.arange(7):
    X_train = np.vstack((X_train, X_train))
    y_train = np.hstack((y_train, y_train))
print(X_train.shape)

# （7）计算降维后使用KNN算法训练耗时及性能
ticks = time.time()
knc.fit(X_train, y_train)
print('降维后耗时:', time.time() - ticks, 's')
y_predict = knc.predict(X_test)
print(classification_report(y_test, y_predict))
